O último driver nVIDIA não funciona em seu kernel 2.6.x?

Publicado por pinrusty em 21/07/2004

[ Hits: 7.995 ]

 


O último driver nVIDIA não funciona em seu kernel 2.6.x?



Acho que encontrei a solução!

Dica simples:
Na hora da compilação de seu kernel 2.6.x, não marque em Graphics Support a opção:

nVidia Riva support

O novo driver da nVidia não funciona se esta opção estiver marcada!

Falou!

Outras dicas deste autor

Interface gráfica para o Swaret

Leitura recomendada

Bootsplash em kernel "não oficial" 2.6.X no Slackware

Kernel 3.0 em qualquer Ubuntu ainda suportado

Informações sobre semáforos e memória compartilhada

Kernel Real Time

Problemas em diretório com milhares de arquivos [Resolvido]

  

Comentários
[1] Comentário enviado por mbmaciel em 22/07/2004 - 10:26h

Olá,

Também tenho uma dica que funcionou pra mim. Atualizei o kernel pra versão:
2.6.6-1.435.2.3 e instalei o driver com a versão NVIDIA-Linux-x86-1.0-6106-pkg1.run

Funcionou perfeito.
Obs: dica retirada aqui mesmo do site, da sessão perguntas!

[2] Comentário enviado por will-hxcx em 24/07/2004 - 12:20h

Aqui o que meu processador tem a honrra de carregar eh um Debian Sid de primeira.. atualizadissimo.. quando atualizei pro kernel 2.6.5 e tentei instalar o driver da nvidia.. ele acusou q teria q inserir os modulos da nvidia no meu kernel.. mas retornou um erro.. falta de compiladores... antes de instalar o driver da nvidia deve se instalar o kernel-headers (apropriado para o seu kernel.. se for o kernel 2.4.x use o headers-2.4.x.. e asimm por diante), eh necessario tambem os compiladores necessarios para compilar o kernel, como gcc-3.3, etc.. no cd do kurumin tem um script (instalar compiladores) la tem todos e mais um pouco.. eh q eu num lembro de cabeça os compiladores.. mais na net c acha a lista =].. ai ja era.. manda um chmod +x nvidia-linux-x86-xxxx-pkg1.run, segue as instrussoes (se tiver priguiça de ler as coisa vai da erro heim..) e jah era.. compilado e funfando =]

[3] Comentário enviado por psychokill3r em 24/10/2007 - 19:30h

?comentario=
valeuw foi isso deu errado aki eu copilei o kernel 2.6.23.1 e (marquei) isso e deu erro.
ah os copiladores sao gcc make e o kernel source
apt-get install gcc make kernel-source
antes de rodar o NVIDIA-Linux-x86-1.0-6106-pkg1.run vc deve matar o gdm e o xorg no opensuse e mandriva init 3 resolve no debian killall gdm killall xorg deve resolver
#sh NVIDIA-Linux-x86-1.0-6106-pkg1.run -q
#nvidia-xconfig
#reboot
e ta feito ja fiz com o debian kernel-2.6.18 e 2.6.18-k7 e funcionou perfeito



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts